Stefan Reinauer has uploaded this change for review. ( https://review.coreboot.org/c/em100/+/37410 )
Change subject: makechips.sh: Analyse the Windows installer for version ......................................................................
makechips.sh: Analyse the Windows installer for version
Right now, the version we assume for the chips and firmware is whatever the dediprog.com lists as the latest version (as long as the web site formwat does not change). This is inaccurate, because you might be operating on a very different msi archive (e.g. using a beta version, or when operating with an older, cached binary on a builder). Instead, use the ProductVersion string that is encoded in the binary as a trusted source.
Signed-off-by: Stefan Reinauer stefan.reinauer@coreboot.org Change-Id: I9c7e48d1372bc587014e3af0a0327c70c30d7faa --- M makechips.sh 1 file changed, 2 insertions(+), 3 deletions(-)
git pull ssh://review.coreboot.org:29418/em100 refs/changes/10/37410/1
diff --git a/makechips.sh b/makechips.sh index 849ae57..bd02270 100755 --- a/makechips.sh +++ b/makechips.sh @@ -38,14 +38,13 @@ curl -s $URL -o $FILE || exit fi echo " Unpacking ..." -VERSION="$( curl -s "$VURL" | grep -A2 EM100Pro-G2\ Soft|tail -1| cut -d< -f1 | tr -d ' ')" -echo " Detected SPI flash database "$VERSION"" - if ! msiextract $FILE > /dev/null ; then echo " Could not unpack Windows installer..." rm -rf $TEMP exit 1 fi +VERSION="$( strings -e l Program\ Files/DediProg/EM100/EM100.exe |grep -A1 ProductVersion|grep EM100 )" +echo " Detected SPI flash database "$VERSION""
echo " Creating configs..." mkdir -p $TD/configs
Hello David Hendricks, build bot (Jenkins), Martin Roth, Patrick Georgi,
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/em100/+/37410
to look at the new patch set (#2).
Change subject: makechips.sh: Analyse the Windows installer for version ......................................................................
makechips.sh: Analyse the Windows installer for version
Right now, the version we assume for the chips and firmware is whatever the dediprog.com lists as the latest version (as long as the web site formwat does not change). This is inaccurate, because you might be operating on a very different msi archive (e.g. using a beta version, or when operating with an older, cached binary on a builder). Instead, use the ProductVersion string that is encoded in the binary as a trusted source.
Signed-off-by: Stefan Reinauer stefan.reinauer@coreboot.org Change-Id: I9c7e48d1372bc587014e3af0a0327c70c30d7faa --- M makechips.sh 1 file changed, 2 insertions(+), 3 deletions(-)
git pull ssh://review.coreboot.org:29418/em100 refs/changes/10/37410/2
Patrick Georgi has posted comments on this change. ( https://review.coreboot.org/c/em100/+/37410 )
Change subject: makechips.sh: Analyse the Windows installer for version ......................................................................
Patch Set 2: Code-Review+2
Stefan Reinauer has submitted this change. ( https://review.coreboot.org/c/em100/+/37410 )
Change subject: makechips.sh: Analyse the Windows installer for version ......................................................................
makechips.sh: Analyse the Windows installer for version
Right now, the version we assume for the chips and firmware is whatever the dediprog.com lists as the latest version (as long as the web site formwat does not change). This is inaccurate, because you might be operating on a very different msi archive (e.g. using a beta version, or when operating with an older, cached binary on a builder). Instead, use the ProductVersion string that is encoded in the binary as a trusted source.
Signed-off-by: Stefan Reinauer stefan.reinauer@coreboot.org Change-Id: I9c7e48d1372bc587014e3af0a0327c70c30d7faa Reviewed-on: https://review.coreboot.org/c/em100/+/37410 Tested-by: build bot (Jenkins) no-reply@coreboot.org Reviewed-by: Patrick Georgi pgeorgi@google.com --- M makechips.sh 1 file changed, 2 insertions(+), 3 deletions(-)
Approvals: build bot (Jenkins): Verified Patrick Georgi: Looks good to me, approved
diff --git a/makechips.sh b/makechips.sh index 849ae57..fcf0070 100755 --- a/makechips.sh +++ b/makechips.sh @@ -38,14 +38,13 @@ curl -s $URL -o $FILE || exit fi echo " Unpacking ..." -VERSION="$( curl -s "$VURL" | grep -A2 EM100Pro-G2\ Soft|tail -1| cut -d< -f1 | tr -d ' ')" -echo " Detected SPI flash database "$VERSION"" - if ! msiextract $FILE > /dev/null ; then echo " Could not unpack Windows installer..." rm -rf $TEMP exit 1 fi +VERSION="$( strings -e l Program\ Files/DediProg/EM100/EM100.exe | grep -A1 ProductVersion | grep EM100 )" +echo " Detected SPI flash database "$VERSION""
echo " Creating configs..." mkdir -p $TD/configs